//--------- White Marble with Gray feather Viens
#declare T_Grnt20 =
texture {
pigment
 {granite
  turbulence 0.0
  color_map
   {[0.0, 0.3 color rgb < 0.35, 0.35, 0.35> color rgb < 0.55, 0.55, 0.55>]
    [0.3, 0.6 color rgb < 0.55, 0.55, 0.55> color rgb < 0.65, 0.65, 0.65>]
    [0.6, 1.0 color rgb < 0.65, 0.65, 0.65> color rgb < 0.75, 0.75, 0.75>]
   }
 }
// finish {
//  crand 0.02
// }
}
//---------- Overtint Green with Black T_Cracks
#declare T_Crack3 =
texture {
pigment
 {marble
  turbulence 0.85
  color_map
   {[0.0, 0.04 color rgbf < 0, 0, 0, 0.6> color rgbf < 0, 0, 0, 1.0>]
    [0.04, 0.97 color rgbf < 0.184314, 0.309804, 0.184314, 0.8> color rgbf < 0.184314, 0.309804, 0.184314, 0.9>]
    [0.97, 1.001 color rgbf < 0, 0, 0, 0.9> color rgbf < 0, 0, 0, 1.0>]
   }
 }
 }


//------------- White Marble with gray veining
#declare T_Stone17 =
texture{T_Grnt20 scale <2, 1, 1> rotate <0, 0, -20> scale < 2, 1, 1>
	finish{ambient 0.1 diffuse 0.7 specular 0.9 }
}
//texture{T_Crack3 scale <1, 2, 1.4> rotate <10, 0, -20>
//        finish{phong 1.0 phong_size 90}
//}


#declare Met_N =
prism
{
	linear_spline
	-1, 0, 14,
	< 108, 118>, < 150, 91>, < 137, 141>, < 148, 165>,
	< 148, 130>, < 165, 130>, < 165, 183>, < 145, 198>,
	< 130, 161>, < 109, 218>, < 124, 212>, < 66, 255>,
	< 133, 114>, < 108, 118>

	translate <-165, 0, -130>
	rotate -90*x
}

#declare Met_o =
difference
{
	cylinder { 0, z, 26.5 }
	cylinder { -2*z, 2*z, 10 }
}

#declare Met_c =
difference
{
	object { Met_o }
	box { < 0, 0,-2>, < 32, 32, 2>  rotate -z*45 translate x*5 }
}

#declare Met_r =
difference
{
	merge
	{
		box { < 0, 0, 0>, < 28, 53, 1> }
		cylinder { 0, z, 15 translate < 28, 15, 0> }
		intersection { cylinder { 0, z, 15} box { < 0,-15,-2>, < 15, 0, 2> } translate < 28, 45, 0> }
		box { < 28, 45, 0>, < 43, 53, 1> }
	}
	intersection { cylinder { -2*z, 2*z, 13} box { < 0,-13,-3>, < 13, 0, 3> } translate < 15, 45, 0> }
	box { < 15, 44.999,-3>, < 28, 55, 3> }
	cylinder { < 28, 15,-3>, < 28, 15, 3>, 2.5 }
	box { < 15, 12.5,-3>, < 28, 17.5, 3> }
}

#declare Met_e =
prism
{
	linear_spline
	-1, 0, 13,
	< 0, 0>, < 43, 0>, < 43, 14>, < 18, 14>, < 18, 19>, < 43, 19>,
	< 43, 34>, < 18, 34>, < 18, 39>, < 43, 39>, < 43, 53>, < 0, 53>, < 0, 0>
	rotate -90*x
}

#declare Met_W =
prism
{
	linear_spline
	-1, 0, 15,
	< 443, 118>, < 401, 91>, < 416, 159>, < 409, 151>, < 403, 165>,
	< 403, 130>, < 386, 130>, < 386, 183>, < 406, 198>,
	< 414, 179>, < 442, 218>, < 427, 212>, < 485, 255>,
	< 418, 114>, < 443, 118>

	translate <-386, 0,-130>
	rotate -90*x
}

#declare Met_NocreW =
union
{
	object { Met_N }
	object { Met_o translate < 29, 27, 0> }
	object { Met_c translate < 84.5, 27, 0> }
	object { Met_r translate < 108, 0, 0> }
	object { Met_e translate < 154, 0, 0> }
	object { Met_W translate < 200, 0, 0> }

	rotate 180*x
	translate <-100, 0, 0>
	scale < 1/50, 1/50, 1.2>
}


camera { location -10*z look_at 0.00001 }

light_source { < 0, 10,-20> color rgb 1.0 }
light_source { < 0,-2,-20> color rgb 0.9 }

object
{
	Met_NocreW

	rotate 38*x

	texture { T_Stone17 finish { diffuse 0.6 } }
}

